<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:background="@color/white">

    <View
        android:id="@+id/view_top"
        android:layout_width="0dp"
        android:layout_height="0.5dp"
        android:background="@color/gray"
        android:visibility="invisible"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/tv_item_name"
        app:layout_constraintTop_toBottomOf="@id/tv_letter" />

    <TextView
        android:id="@+id/tv_letter"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:background="#EDEDED"
        android:paddingVertical="8dp"
        android:paddingStart="15dp"
        android:text="A"
        android:textSize="12sp"
        android:visibility="gone"
        app:layout_constraintTop_toTopOf="parent" />

    <androidx.constraintlayout.utils.widget.ImageFilterView
        android:id="@+id/ifv_avatar"
        android:layout_width="35dp"
        android:layout_height="35dp"
        android:layout_marginVertical="10dp"
        android:layout_marginStart="15dp"
        android:src="@drawable/ic_avatar"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@id/view_top"
        app:roundPercent="0.2" />

    <TextView
        android:id="@+id/tv_item_name"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="10dp"
        android:text="kaixed"
        android:textColor="@color/black"
        android:textSize="15sp"
        app:layout_constraintBottom_toBottomOf="@id/ifv_avatar"
        app:layout_constraintStart_toEndOf="@+id/ifv_avatar"
        app:layout_constraintTop_toTopOf="@id/ifv_avatar" />

    <View
        android:id="@+id/view_bottom"
        android:layout_width="0dp"
        android:layout_height="0.5dp"
        android:background="@color/gray"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="@id/tv_item_name" />

    <RelativeLayout
        android:id="@+id/rl_unread_count"
        android:layout_width="15dp"
        android:layout_height="15dp"
        android:layout_marginEnd="15dp"
        android:background="@drawable/icon_red_dot"
        android:visibility="gone"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <TextView
            android:id="@+id/tv_unread_count"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:gravity="center"
            android:text="1"
            android:textColor="@color/white"
            android:textSize="11sp" />

    </RelativeLayout>


</androidx.constraintlayout.widget.ConstraintLayout>